<?php
/*
 *  @package   mod_jphpx
 *  @version   Version 1.3.3
 *  @author    Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 *  @copyright (C) 2021 Joachim Schmidt. All rights reserved.
 *  @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 *
 * change activity:
 */
// No direct access
defined('_JEXEC') or die;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Version;
use Joomla\CMS\Factory;
use Joomla\CMS\Cache\CacheControllerFactoryInterface;
use Joomla\CMS\Helper\ModuleHelper;

if (! ComponentHelper::isEnabled('com_jphpx'))
{
    echo Text::_("MOD_JPHPX_ERROR");
    return;
}

require_once dirname(__FILE__) . '/helper.php';

$joomla_version = new Version();
if (version_compare($joomla_version->getShortVersion(), '4.0', '>='))
{
    if ($params->get('cache', 0))
        $cache = Factory::getContainer()->get(CacheControllerFactoryInterface::class)
        ->createCacheController('output', ['defaultgroup' => 'mod_jphpx']);
}
else
{
    if ($params->get('cache', 0))
    {
        $cache_time = (int) $params->get('cache_time', 900);
        $cache = Factory::getCache('mod_jphpx');
        $cache->setCaching($cache_enabled);
        $cache->setLifeTime($cache_time);
    }
}

$code = $params->get('title', '1');
$jphpx = mod_jphpxHelper::get_code($code);

if ( $params->get('moduleclass_sfx') !== null)
    $moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
 else
    $moduleclass_sfx = "";

require ModuleHelper::getLayoutPath('mod_jphpx', $params->get('layout', 'default'));